#include "SpritePartconfig.h"
#include <STRING>
#include <fstream>

using namespace std; // cant remove this yet

class SpritePartconfigList
{
private:
	SpritePartconfig* head;

public:
	int numItems2;
	SpritePartconfigList();
	//insert at beginning
	
	void load(char*);
	void save(char*);
	void traverse2( );
	bool isEmpty( );
	int GetNumItems( );
	bool IsInList( int );
	int IndexOf( int );
	bool IsInList2( int );
	SpritePart Find_Part_id(int d);
	int Find_Part_id( int d,int c );
	

	virtual ~SpritePartconfigList();

};
